Source: pdfgrep
Version: 1.4.0-2
Severity: serious
Justification: fails to build from source
User: reproducible-builds@lists.alioth.debian.org
Usertags: ftbfs
X-Debbugs-Cc: reproducible-builds@lists.alioth.debian.org

Dear Maintainer,

pdfgrep fails to build from source on unstable/amd64:

  [..]

     dh_auto_build
        make -j1
  make[1]: Entering directory '/tmp/buildd/pdfgrep-1.4.0'
  make  all-recursive
  make[2]: Entering directory '/tmp/buildd/pdfgrep-1.4.0'
  Making all in src
  make[3]: Entering directory '/tmp/buildd/pdfgrep-1.4.0/src'
  g++ -DHAVE_CONFIG_H -I. -I..  -I/usr/include/poppler/cpp
  -I/usr/include/poppler    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2
  -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
  -c -o pdfgrep.o pdfgrep.cc
  pdfgrep.cc: In function 'int search_in_document(poppler::document*,
  const string&, Regengine&)':
  pdfgrep.cc:185:8: warning: 'template<class> class std::auto_ptr' is
  deprecated [-Wdeprecated-declarations]
     std::auto_ptr<poppler::page> doc_page(doc->create_page(i - 1));
          ^
  In file included from /usr/include/c++/5/memory:81:0,
                   from pdfgrep.cc:54:
  /usr/include/c++/5/bits/unique_ptr.h:49:28: note: declared here
     template<typename> class auto_ptr;
                              ^
  g++ -DHAVE_CONFIG_H -I. -I..  -I/usr/include/poppler/cpp
  -I/usr/include/poppler    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2
  -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
  -c -o output.o output.cc
  g++ -DHAVE_CONFIG_H -I. -I..  -I/usr/include/poppler/cpp
  -I/usr/include/poppler    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2
  -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
  -c -o exclude.o exclude.cc
  g++ -DHAVE_CONFIG_H -I. -I..  -I/usr/include/poppler/cpp
  -I/usr/include/poppler    -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2
  -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
  -c -o regengine.o regengine.cc
  g++  -g -O2 -fstack-protector-strong -Wformat -Werror=format-security
  -std=c++11  -Wl,-z,relro -o pdfgrep pdfgrep.o output.o exclude.o
  regengine.o -lpoppler-cpp   -lpcre  
  pdfgrep.o: In function `print_version()':
  /tmp/buildd/pdfgrep-1.4.0/src/pdfgrep.cc:429: undefined reference to
  `poppler::version_string[abi:cxx11]()'
  pdfgrep.o: In function
  `do_search_in_document(std::__cxx11::basic_string<char,
  std::char_traits<char>, std::allocator<char> > const&,
  std::__cxx11::basic_string<char, std::char_traits<char>,
  std::allocator<char> > const&, Regengine&, bool)':
  /tmp/buildd/pdfgrep-1.4.0/src/pdfgrep.cc:463: undefined reference to
  `poppler::document::load_from_file(std::__cxx11::basic_string<char,
  std::char_traits<char>, std::allocator<char> > const&,
  std::__cxx11::basic_string<char, std::char_traits<char>,
  std::allocator<char> > const&, std::__cxx11::basic_string<char,
  std::char_traits<char>, std::allocator<char> > const&)'
  collect2: error: ld returned 1 exit status
  Makefile:276: recipe for target 'pdfgrep' failed
  make[3]: *** [pdfgrep] Error 1
  make[3]: Leaving directory '/tmp/buildd/pdfgrep-1.4.0/src'
  Makefile:296: recipe for target 'all-recursive' failed
  make[2]: *** [all-recursive] Error 1
  make[2]: Leaving directory '/tmp/buildd/pdfgrep-1.4.0'
  Makefile:236: recipe for target 'all' failed
  make[1]: *** [all] Error 2
  make[1]: Leaving directory '/tmp/buildd/pdfgrep-1.4.0'
  dh_auto_build: make -j1 returned exit code 2
  debian/rules:4: recipe for target 'build' failed
  make: *** [build] Error 2
  dpkg-buildpackage: error: debian/rules build gave error exit status 2

  [..]

The full build log is attached or can be viewed here:

  
https://reproducible.debian.net/logs/unstable/amd64/pdfgrep_1.4.0-2.build1.log.gz


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      la...@debian.org / chris-lamb.co.uk
       `-
I: using fakeroot in build.
I: pbuilder: network access will be disabled during build
I: Current time: Fri Aug 14 13:03:23 GMT+12 2015
I: pbuilder-time-stamp: 1439600603
I: Building the build Environment
I: extracting base tarball [/var/cache/pbuilder/unstable-reproducible-base.tgz]
I: creating local configuration
I: copying local configuration
I: mounting /proc filesystem
I: mounting /run/shm filesystem
I: mounting /dev/pts filesystem
I: Mounting /dev/shm
I: Mounting /sys
I: policy-rc.d already exists
I: Installing the build-deps
 -> Attempting to satisfy build-dependencies
 -> Creating pbuilder-satisfydepends-dummy package
Package: pbuilder-satisfydepends-dummy
Version: 0.invalid.0
Architecture: amd64
Maintainer: Debian Pbuilder Team <pbuilder-ma...@lists.alioth.debian.org>
Description: Dummy package to satisfy dependencies with aptitude - created by 
pbuilder
 This package was created automatically by pbuilder to satisfy the
 build-dependencies of the package being currently built.
Depends: debhelper (>= 9~), automake, libpoppler-cpp-dev, pkg-config, 
libpcre3-dev
dpkg-deb: building package 'pbuilder-satisfydepends-dummy' in 
'/tmp/satisfydepends-aptitude/pbuilder-satisfydepends-dummy.deb'.
Selecting previously unselected package pbuilder-satisfydepends-dummy.
(Reading database ... 20246 files and directories currently installed.)
Preparing to unpack .../pbuilder-satisfydepends-dummy.deb ...
Unpacking pbuilder-satisfydepends-dummy (0.invalid.0) ...
dpkg: pbuilder-satisfydepends-dummy: dependency problems, but configuring 
anyway as you requested:
 pbuilder-satisfydepends-dummy depends on automake; however:
  Package automake is not installed.
 pbuilder-satisfydepends-dummy depends on libpoppler-cpp-dev; however:
  Package libpoppler-cpp-dev is not installed.
 pbuilder-satisfydepends-dummy depends on pkg-config; however:
  Package pkg-config is not installed.
 pbuilder-satisfydepends-dummy depends on libpcre3-dev; however:
  Package libpcre3-dev is not installed.

Setting up pbuilder-satisfydepends-dummy (0.invalid.0) ...
Reading package lists...
Building dependency tree...
Reading state information...
Initializing package states...
Writing extended state information...
Building tag database...
The following NEW packages will be installed:
  autoconf{a} automake{a} autotools-dev{a} fontconfig-config{a} 
  fonts-dejavu-core{a} libexpat1{a} libfontconfig1{a} libfreetype6{a} 
  libjbig0{a} libjpeg62-turbo{a} liblcms2-2{a} libopenjpeg5{a} 
  libpcre16-3{a} libpcre3-dev{a} libpcre32-3{a} libpcrecpp0v5{a} 
  libpng12-0{a} libpoppler-cpp-dev{a} libpoppler-cpp0{a} libpoppler-dev{a} 
  libpoppler46{a} libsigsegv2{a} libtiff5{a} m4{a} pkg-config{a} ucf{a} 
0 packages upgraded, 26 newly installed, 0 to remove and 0 not upgraded.
Need to get 7859 kB of archives. After unpacking 23.6 MB will be used.
Writing extended state information...
Get: 1 http://ftp.de.debian.org/debian/ unstable/main libexpat1 amd64 2.1.0-7 
[80.0 kB]
Get: 2 http://ftp.de.debian.org/debian/ unstable/main libpng12-0 amd64 
1.2.50-2+b2 [172 kB]
Get: 3 http://ftp.de.debian.org/debian/ unstable/main libfreetype6 amd64 
2.5.2-4 [466 kB]
Get: 4 http://ftp.de.debian.org/debian/ unstable/main ucf all 3.0030 [69.7 kB]
Get: 5 http://ftp.de.debian.org/debian/ unstable/main fonts-dejavu-core all 
2.35-1 [1064 kB]
Get: 6 http://ftp.de.debian.org/debian/ unstable/main fontconfig-config all 
2.11.0-6.3 [273 kB]
Get: 7 http://ftp.de.debian.org/debian/ unstable/main libfontconfig1 amd64 
2.11.0-6.3 [329 kB]
Get: 8 http://ftp.de.debian.org/debian/ unstable/main liblcms2-2 amd64 2.6-3+b3 
[141 kB]
Get: 9 http://ftp.de.debian.org/debian/ unstable/main libpcrecpp0v5 amd64 
2:8.35-7.1 [143 kB]
Get: 10 http://ftp.de.debian.org/debian/ unstable/main libsigsegv2 amd64 
2.10-4+b1 [29.2 kB]
Get: 11 http://ftp.de.debian.org/debian/ unstable/main libjbig0 amd64 2.1-3.1 
[30.7 kB]
Get: 12 http://ftp.de.debian.org/debian/ unstable/main m4 amd64 1.4.17-4 [254 
kB]
Get: 13 http://ftp.de.debian.org/debian/ unstable/main autoconf all 2.69-8 [340 
kB]
Get: 14 http://ftp.de.debian.org/debian/ unstable/main autotools-dev all 
20140911.1 [70.5 kB]
Get: 15 http://ftp.de.debian.org/debian/ unstable/main automake all 1:1.15-2 
[735 kB]
Get: 16 http://ftp.de.debian.org/debian/ unstable/main libjpeg62-turbo amd64 
1:1.4.1-1 [125 kB]
Get: 17 http://ftp.de.debian.org/debian/ unstable/main libpcre16-3 amd64 
2:8.35-7.1 [242 kB]
Get: 18 http://ftp.de.debian.org/debian/ unstable/main libpcre32-3 amd64 
2:8.35-7.1 [233 kB]
Get: 19 http://ftp.de.debian.org/debian/ unstable/main libpcre3-dev amd64 
2:8.35-7.1 [622 kB]
Get: 20 http://ftp.de.debian.org/debian/ unstable/main libopenjpeg5 amd64 
1:1.5.2-3.1 [112 kB]
Get: 21 http://ftp.de.debian.org/debian/ unstable/main libtiff5 amd64 4.0.3-13 
[212 kB]
Get: 22 http://ftp.de.debian.org/debian/ unstable/main libpoppler46 amd64 
0.26.5-3 [1210 kB]
Get: 23 http://ftp.de.debian.org/debian/ unstable/main libpoppler-cpp0 amd64 
0.26.5-3 [43.6 kB]
Get: 24 http://ftp.de.debian.org/debian/ unstable/main libpoppler-dev amd64 
0.26.5-3 [757 kB]
Get: 25 http://ftp.de.debian.org/debian/ unstable/main libpoppler-cpp-dev amd64 
0.26.5-3 [47.7 kB]
Get: 26 http://ftp.de.debian.org/debian/ unstable/main pkg-config amd64 0.28-1 
[57.5 kB]
Fetched 7859 kB in 0s (11.6 MB/s)
debconf: delaying package configuration, since apt-utils is not installed
Selecting previously unselected package libexpat1:amd64.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 20246 files and directories currently installed.)
Preparing to unpack .../libexpat1_2.1.0-7_amd64.deb ...
Unpacking libexpat1:amd64 (2.1.0-7) ...
Selecting previously unselected package libpng12-0:amd64.
Preparing to unpack .../libpng12-0_1.2.50-2+b2_amd64.deb ...
Unpacking libpng12-0:amd64 (1.2.50-2+b2) ...
Selecting previously unselected package libfreetype6:amd64.
Preparing to unpack .../libfreetype6_2.5.2-4_amd64.deb ...
Unpacking libfreetype6:amd64 (2.5.2-4) ...
Selecting previously unselected package ucf.
Preparing to unpack .../archives/ucf_3.0030_all.deb ...
Moving old data out of the way
Unpacking ucf (3.0030) ...
Selecting previously unselected package fonts-dejavu-core.
Preparing to unpack .../fonts-dejavu-core_2.35-1_all.deb ...
Unpacking fonts-dejavu-core (2.35-1) ...
Selecting previously unselected package fontconfig-config.
Preparing to unpack .../fontconfig-config_2.11.0-6.3_all.deb ...
Unpacking fontconfig-config (2.11.0-6.3) ...
Selecting previously unselected package libfontconfig1:amd64.
Preparing to unpack .../libfontconfig1_2.11.0-6.3_amd64.deb ...
Unpacking libfontconfig1:amd64 (2.11.0-6.3) ...
Selecting previously unselected package liblcms2-2:amd64.
Preparing to unpack .../liblcms2-2_2.6-3+b3_amd64.deb ...
Unpacking liblcms2-2:amd64 (2.6-3+b3) ...
Selecting previously unselected package libpcrecpp0v5:amd64.
Preparing to unpack .../libpcrecpp0v5_2%3a8.35-7.1_amd64.deb ...
Unpacking libpcrecpp0v5:amd64 (2:8.35-7.1) ...
Selecting previously unselected package libsigsegv2:amd64.
Preparing to unpack .../libsigsegv2_2.10-4+b1_amd64.deb ...
Unpacking libsigsegv2:amd64 (2.10-4+b1) ...
Selecting previously unselected package libjbig0:amd64.
Preparing to unpack .../libjbig0_2.1-3.1_amd64.deb ...
Unpacking libjbig0:amd64 (2.1-3.1) ...
Selecting previously unselected package m4.
Preparing to unpack .../archives/m4_1.4.17-4_amd64.deb ...
Unpacking m4 (1.4.17-4) ...
Selecting previously unselected package autoconf.
Preparing to unpack .../autoconf_2.69-8_all.deb ...
Unpacking autoconf (2.69-8) ...
Selecting previously unselected package autotools-dev.
Preparing to unpack .../autotools-dev_20140911.1_all.deb ...
Unpacking autotools-dev (20140911.1) ...
Selecting previously unselected package automake.
Preparing to unpack .../automake_1%3a1.15-2_all.deb ...
Unpacking automake (1:1.15-2) ...
Selecting previously unselected package libjpeg62-turbo:amd64.
Preparing to unpack .../libjpeg62-turbo_1%3a1.4.1-1_amd64.deb ...
Unpacking libjpeg62-turbo:amd64 (1:1.4.1-1) ...
Selecting previously unselected package libpcre16-3:amd64.
Preparing to unpack .../libpcre16-3_2%3a8.35-7.1_amd64.deb ...
Unpacking libpcre16-3:amd64 (2:8.35-7.1) ...
Selecting previously unselected package libpcre32-3:amd64.
Preparing to unpack .../libpcre32-3_2%3a8.35-7.1_amd64.deb ...
Unpacking libpcre32-3:amd64 (2:8.35-7.1) ...
Selecting previously unselected package libpcre3-dev:amd64.
Preparing to unpack .../libpcre3-dev_2%3a8.35-7.1_amd64.deb ...
Unpacking libpcre3-dev:amd64 (2:8.35-7.1) ...
Selecting previously unselected package libopenjpeg5:amd64.
Preparing to unpack .../libopenjpeg5_1%3a1.5.2-3.1_amd64.deb ...
Unpacking libopenjpeg5:amd64 (1:1.5.2-3.1) ...
Selecting previously unselected package libtiff5:amd64.
Preparing to unpack .../libtiff5_4.0.3-13_amd64.deb ...
Unpacking libtiff5:amd64 (4.0.3-13) ...
Selecting previously unselected package libpoppler46:amd64.
Preparing to unpack .../libpoppler46_0.26.5-3_amd64.deb ...
Unpacking libpoppler46:amd64 (0.26.5-3) ...
Selecting previously unselected package libpoppler-cpp0:amd64.
Preparing to unpack .../libpoppler-cpp0_0.26.5-3_amd64.deb ...
Unpacking libpoppler-cpp0:amd64 (0.26.5-3) ...
Selecting previously unselected package libpoppler-dev:amd64.
Preparing to unpack .../libpoppler-dev_0.26.5-3_amd64.deb ...
Unpacking libpoppler-dev:amd64 (0.26.5-3) ...
Selecting previously unselected package libpoppler-cpp-dev:amd64.
Preparing to unpack .../libpoppler-cpp-dev_0.26.5-3_amd64.deb ...
Unpacking libpoppler-cpp-dev:amd64 (0.26.5-3) ...
Selecting previously unselected package pkg-config.
Preparing to unpack .../pkg-config_0.28-1_amd64.deb ...
Unpacking pkg-config (0.28-1) ...
Processing triggers for man-db (2.7.0.2-5) ...
Setting up libexpat1:amd64 (2.1.0-7) ...
Setting up libpng12-0:amd64 (1.2.50-2+b2) ...
Setting up libfreetype6:amd64 (2.5.2-4) ...
Setting up ucf (3.0030) ...
Setting up fonts-dejavu-core (2.35-1) ...
Setting up fontconfig-config (2.11.0-6.3) ...
Setting up libfontconfig1:amd64 (2.11.0-6.3) ...
Setting up liblcms2-2:amd64 (2.6-3+b3) ...
Setting up libpcrecpp0v5:amd64 (2:8.35-7.1) ...
Setting up libsigsegv2:amd64 (2.10-4+b1) ...
Setting up libjbig0:amd64 (2.1-3.1) ...
Setting up m4 (1.4.17-4) ...
Setting up autoconf (2.69-8) ...
Setting up autotools-dev (20140911.1) ...
Setting up automake (1:1.15-2) ...
update-alternatives: using /usr/bin/automake-1.15 to provide /usr/bin/automake 
(automake) in auto mode
Setting up libjpeg62-turbo:amd64 (1:1.4.1-1) ...
Setting up libpcre16-3:amd64 (2:8.35-7.1) ...
Setting up libpcre32-3:amd64 (2:8.35-7.1) ...
Setting up libpcre3-dev:amd64 (2:8.35-7.1) ...
Setting up libopenjpeg5:amd64 (1:1.5.2-3.1) ...
Setting up libtiff5:amd64 (4.0.3-13) ...
Setting up libpoppler46:amd64 (0.26.5-3) ...
Setting up libpoppler-cpp0:amd64 (0.26.5-3) ...
Setting up libpoppler-dev:amd64 (0.26.5-3) ...
Setting up libpoppler-cpp-dev:amd64 (0.26.5-3) ...
Setting up pkg-config (0.28-1) ...
Processing triggers for libc-bin (2.19-19) ...
Reading package lists...
Building dependency tree...
Reading state information...
Reading extended state information...
Initializing package states...
Writing extended state information...
Building tag database...
 -> Finished parsing the build-deps
Reading package lists...
Building dependency tree...
Reading state information...
fakeroot is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
I: Copying source file
I: copying [pdfgrep_1.4.0-2.dsc]
I: copying [./pdfgrep_1.4.0.orig.tar.gz]
I: copying [./pdfgrep_1.4.0-2.debian.tar.xz]
I: Extracting source
gpgv: keyblock resource `/tmp/buildd/.gnupg/trustedkeys.gpg': file open error
gpgv: Signature made Thu Aug 13 23:32:59 2015 GMT+12 using RSA key ID 4008C6F9
gpgv: Can't check signature: public key not found
dpkg-source: warning: failed to verify signature on ./pdfgrep_1.4.0-2.dsc
dpkg-source: info: extracting pdfgrep in pdfgrep-1.4.0
dpkg-source: info: unpacking pdfgrep_1.4.0.orig.tar.gz
dpkg-source: info: unpacking pdfgrep_1.4.0-2.debian.tar.xz
I: Building the package
I: Running cd tmp/buildd/*/ && env 
PATH="/usr/sbin:/usr/bin:/sbin:/bin:/usr/games" dpkg-buildpackage -us -uc  -b 
-rfakeroot
dpkg-buildpackage: source package pdfgrep
dpkg-buildpackage: source version 1.4.0-2
dpkg-buildpackage: source distribution unstable
dpkg-buildpackage: source changed by Christoph Egger <christ...@debian.org>
 dpkg-source --before-build pdfgrep-1.4.0
dpkg-buildpackage: host architecture amd64
 fakeroot debian/rules clean
dh clean
   dh_testdir
   dh_auto_clean
   dh_clean
 debian/rules build
dh build
   dh_testdir
   debian/rules override_dh_auto_configure
make[1]: Entering directory '/tmp/buildd/pdfgrep-1.4.0'
dh_auto_configure -- --with-zsh-completion=/usr/share/zsh/vendor-completions
        ./configure --build=x86_64-linux-gnu --prefix=/usr 
--includedir=\${prefix}/include --mandir=\${prefix}/share/man 
--infodir=\${prefix}/share/info --sysconfdir=/etc --localstatedir=/var 
--disable-silent-rules --libdir=\${prefix}/lib/x86_64-linux-gnu 
--libexecdir=\${prefix}/lib/x86_64-linux-gnu --disable-maintainer-mode 
--disable-dependency-tracking 
--with-zsh-completion=/usr/share/zsh/vendor-completions
configure: WARNING: unrecognized options: --disable-silent-rules, 
--disable-maintainer-mode
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking for g++... g++
checking whether the C++ compiler works... yes
checking for C++ compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking for style of include used by make... GNU
checking dependency style of g++... none
checking for gcc... gcc
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking dependency style of gcc... none
checking whether g++ supports C++11 features by default... no
checking whether g++ supports C++11 features with -std=c++11... yes
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for unistd.h... (cached) yes
checking sys/ioctl.h usability... yes
checking sys/ioctl.h presence... yes
checking for sys/ioctl.h... yes
checking getopt.h usability... yes
checking getopt.h presence... yes
checking for getopt.h... yes
checking termios.h usability... yes
checking termios.h presence... yes
checking for termios.h... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible malloc... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible realloc... yes
checking for regcomp... yes
checking for getopt_long... yes
checking for strcasestr... yes
checking for git head... 
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for poppler_cpp... yes
checking for libpcre... yes
checking zsh completion... /usr/share/zsh/vendor-completions
checking bash completion... ${datarootdir}/bash-completion/completions
checking for a2x... no

* I didn't find Asciidoc, so you won't be able to (re)build the manpage.
* That's not a problem, if you're building from a release-tarball, because
* they include a prebuild manpage. But if you build from git, you should
* install Asciidoc or disable manpage generation with:
* ./configure --disable-doc
configure: creating ./config.status
config.status: creating Makefile
config.status: creating src/Makefile
config.status: creating completion/Makefile
config.status: creating doc/Makefile
config.status: creating config.h
config.status: executing depfiles commands
configure: WARNING: unrecognized options: --disable-silent-rules, 
--disable-maintainer-mode
make[1]: Leaving directory '/tmp/buildd/pdfgrep-1.4.0'
   dh_auto_build
        make -j1
make[1]: Entering directory '/tmp/buildd/pdfgrep-1.4.0'
make  all-recursive
make[2]: Entering directory '/tmp/buildd/pdfgrep-1.4.0'
Making all in src
make[3]: Entering directory '/tmp/buildd/pdfgrep-1.4.0/src'
g++ -DHAVE_CONFIG_H -I. -I..  -I/usr/include/poppler/cpp -I/usr/include/poppler 
   -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -fstack-protector-strong -Wformat 
-Werror=format-security -std=c++11 -c -o pdfgrep.o pdfgrep.cc
pdfgrep.cc: In function 'int search_in_document(poppler::document*, const 
string&, Regengine&)':
pdfgrep.cc:185:8: warning: 'template<class> class std::auto_ptr' is deprecated 
[-Wdeprecated-declarations]
   std::auto_ptr<poppler::page> doc_page(doc->create_page(i - 1));
        ^
In file included from /usr/include/c++/5/memory:81:0,
                 from pdfgrep.cc:54:
/usr/include/c++/5/bits/unique_ptr.h:49:28: note: declared here
   template<typename> class auto_ptr;
                            ^
g++ -DHAVE_CONFIG_H -I. -I..  -I/usr/include/poppler/cpp -I/usr/include/poppler 
   -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -fstack-protector-strong -Wformat 
-Werror=format-security -std=c++11 -c -o output.o output.cc
g++ -DHAVE_CONFIG_H -I. -I..  -I/usr/include/poppler/cpp -I/usr/include/poppler 
   -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -fstack-protector-strong -Wformat 
-Werror=format-security -std=c++11 -c -o exclude.o exclude.cc
g++ -DHAVE_CONFIG_H -I. -I..  -I/usr/include/poppler/cpp -I/usr/include/poppler 
   -Wdate-time -D_FORTIFY_SOURCE=2  -g -O2 -fstack-protector-strong -Wformat 
-Werror=format-security -std=c++11 -c -o regengine.o regengine.cc
g++  -g -O2 -fstack-protector-strong -Wformat -Werror=format-security 
-std=c++11  -Wl,-z,relro -o pdfgrep pdfgrep.o output.o exclude.o regengine.o 
-lpoppler-cpp   -lpcre  
pdfgrep.o: In function `print_version()':
/tmp/buildd/pdfgrep-1.4.0/src/pdfgrep.cc:429: undefined reference to 
`poppler::version_string[abi:cxx11]()'
pdfgrep.o: In function `do_search_in_document(std::__cxx11::basic_string<char, 
std::char_traits<char>, std::allocator<char> > const&, 
std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > 
const&, Regengine&, bool)':
/tmp/buildd/pdfgrep-1.4.0/src/pdfgrep.cc:463: undefined reference to 
`poppler::document::load_from_file(std::__cxx11::basic_string<char, 
std::char_traits<char>, std::allocator<char> > const&, 
std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > 
const&, std::__cxx11::basic_string<char, std::char_traits<char>, 
std::allocator<char> > const&)'
collect2: error: ld returned 1 exit status
Makefile:276: recipe for target 'pdfgrep' failed
make[3]: *** [pdfgrep] Error 1
make[3]: Leaving directory '/tmp/buildd/pdfgrep-1.4.0/src'
Makefile:296: recipe for target 'all-recursive' failed
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory '/tmp/buildd/pdfgrep-1.4.0'
Makefile:236: recipe for target 'all' failed
make[1]: *** [all] Error 2
make[1]: Leaving directory '/tmp/buildd/pdfgrep-1.4.0'
dh_auto_build: make -j1 returned exit code 2
debian/rules:4: recipe for target 'build' failed
make: *** [build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
E: Failed autobuilding of package
I: unmounting /sys filesystem
I: unmounting /dev/shm filesystem
I: unmounting dev/pts filesystem
I: unmounting run/shm filesystem
I: unmounting proc filesystem
I: cleaning the build env 
I: removing directory /var/cache/pbuilder/build//56318 and its subdirectories
_______________________________________________
Reproducible-builds mailing list
Reproducible-builds@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/reproducible-builds

Reply via email to